[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[avr-gcc-list] ld: skipping incompatible /usr/lib/gcc/avr/3.4.6/../../..

From: Johannes Bauer
Subject: [avr-gcc-list] ld: skipping incompatible /usr/lib/gcc/avr/3.4.6/../../../../avr/lib/libc.a
Date: Sun, 20 Aug 2006 00:55:06 +0200
User-agent: Mozilla Thunderbird 1.0.7 (X11/20051015)

Hi list,

while trying to solve my other problem with the functions I fear I broke
my avr-gcc - tried to get it back to life all day but no luck :-((

I wanted to update avr-gcc from 3.3 to 3.4.6. Compiled all successfully
(woking on a Gentoo system here). Compiling with new avr-gcc also works
fine. But when trying to link everything:

# /usr/bin/avr-gcc -Wall -Werror -Wunused -Wuninitialized -Wno-inline
-Os -mmcu=at90s8515 -DF_CPU=7372800UL -I/usr/avr/include  -o outfile
outfile.c in1.o in2.o in3.o in4.o
/usr/lib/gcc/avr/3.4.6/../../../../avr/bin/ld: skipping incompatible
    /usr/lib/gcc/avr/3.4.6/../../../../avr/lib/libc.a when searching for -lc
/usr/lib/gcc/avr/3.4.6/../../../../avr/bin/ld: skipping incompatible
    /usr/avr/binutils-bin/2.16.1/../../lib/libc.a when searching for -lc
/usr/lib/gcc/avr/3.4.6/../../../../avr/bin/ld: cannot find -lc

The versions are binutils 2.16.1, avr-gcc 3.4.6, avr-libc 1.4.4.

I also tried binutils 2.17 and avr-gcc 4.1.1 - same thing everywhere.

Also removed everything completely (all three packages) and reinstalled
(because I thought maybe the libc was compiled with an older version of
avr-gcc) - same thing.

Does somebody please have any kind of hint, I'm quite desperate...

Thanks in advance,

reply via email to

[Prev in Thread] Current Thread [Next in Thread]